Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.tools.groovydoc
[Java] Class LinkArgument

    java.lang.Object
      org.codehaus.groovy.tools.groovydoc.LinkArgument

    public class LinkArgument
    extends java.lang.Object

Represents a link pair (href, packages). The packages are comma separated.

Method Summary
`java.lang.String` | `getHref()` Get the href attribute.
`java.lang.String` | `getPackages()` Get the packages attribute.
`void` | `setHref(java.lang.String hr)` Set the href attribute.
`void` | `setPackages(java.lang.String packages)` Set the packages attribute.

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### getHref

    public java.lang.String getHref()

  Get the href attribute.
  Returns:
    the href attribute.

### getPackages

    public java.lang.String getPackages()

  Get the packages attribute.
  Returns:
    the packages attribute.

### setHref

    public void setHref(java.lang.String hr)

  Set the href attribute.
  Parameters:
    `hr` - a `String` value representing the URL to use for this link

### setPackages

    public void setPackages(java.lang.String packages)

  Set the packages attribute.
  Parameters:
    `packages` - the comma separated package prefixs corresponding to this link

Groovy Documentation